Subject: bug#10742: The resulting output is as follows, which I think is wrong.

From: [email-masked] (Ludovic Courtès)
Date: Tue, 07 Feb 2012 22:13:19 +0100

Hi,

Thanks for the report.

Alírio Eyng <[email-masked]> skribis:

> I tried this parameters to "./configure" individually and a few combinations:

Which exact combination led to the failures you pasted below?

Also, what do these commands return, when run from the build tree:

  grep ^host= config.log
  grep ^ac_cv_libunistring_with_iconv_support config.log
  grep ^ICONV_H config.log

[...]

> ERROR: In procedure catch-closure:
> ERROR: Throw to key `decoding-error' with args `("scm_from_stringn"
> "input locale conversion error" 22 #vu8(47 114 111 111 116 47 68 111
> 119 110 108 111 97 100 115 47 122 47 122 47 103 117 105 108 47 108 105
> 98 103 117 105 108 101 47 46 108 105 98 115 47 108 116 45 103 117 105
> 108 101))'.
>
> Program exited with code 01.

What does the ‘locale’ command return?

> ERROR: foreign.test: make-pointer: equal? modulo finalizer -
> arguments: ((misc-error "dynamic-pointer" "Symbol not found: ~a"
> ("scm_is_pair") #f))

[...]

> FAIL: ftw.test: file-system-fold: EACCES

These are two other issues, but we’ll see once you’ve answered the first
questions.  :-)

Thanks!

Ludo’.